# OSD_WhoAmI.hxx File Reference

`#include <Standard_PrimitiveTypes.hxx>`

## Enumerations

enum | OSD_WhoAmI { OSD_WDirectory, OSD_WDirectoryIterator, OSD_WEnvironment, OSD_WFile, OSD_WFileNode, OSD_WFileIterator, OSD_WMailBox, OSD_WPath, OSD_WProcess, OSD_WProtection, OSD_WSemaphore, OSD_WHost, OSD_WDisk, OSD_WChronometer, OSD_WSharedMemory, OSD_WTimer, OSD_WPackage, OSD_WPrinter, OSD_WEnvironmentIterator }
| Specifies the type of files. . More...

## Enumeration Type Documentation

enum OSD_WhoAmI

Enumeration values:

  OSD_WDirectory |
  OSD_WDirectoryIterator |
  OSD_WEnvironment |
  OSD_WFile |
  OSD_WFileNode |
  OSD_WFileIterator |
  OSD_WMailBox |
  OSD_WPath |
  OSD_WProcess |
  OSD_WProtection |
  OSD_WSemaphore |
  OSD_WHost |
  OSD_WDisk |
  OSD_WChronometer |
  OSD_WSharedMemory |
  OSD_WTimer |
  OSD_WPackage |
  OSD_WPrinter |
  OSD_WEnvironmentIterator |